--- src/gtk/display.cpp.orig
+++ src/gtk/display.cpp
@@ -26,7 +26,9 @@ GtkWidget* wxGetRootWindow();
 
 #if !(wxUSE_LIBHILDON || wxUSE_LIBHILDON2)
 
+#ifdef GDK_WINDOWING_X11
 void wxGetWorkAreaX11(Screen* screen, int& x, int& y, int& width, int& height);
+#endif
 
 #ifndef __WXGTK3__
 static inline int wx_gdk_screen_get_primary_monitor(GdkScreen* screen)
@@ -175,10 +177,12 @@ bool wxDisplayImplGTK::IsPrimary() const
     return gdk_screen_get_primary_monitor(m_screen) == int(m_index);
 }
 
+#ifdef GDK_WINDOWING_X11
 wxArrayVideoModes wxXF86VidMode_GetModes(const wxVideoMode& mode, Display* pDisplay, int nScreen);
 wxVideoMode wxXF86VidMode_GetCurrentMode(Display* display, int nScreen);
 bool wxXF86VidMode_ChangeMode(const wxVideoMode& mode, Display* display, int nScreen);
 wxArrayVideoModes wxX11_GetModes(const wxDisplayImpl* impl, const wxVideoMode& modeMatch, Display* display);
+#endif
 
 wxArrayVideoModes wxDisplayImplGTK::GetModes(const wxVideoMode& mode) const
 {
--- src/unix/mediactrl.cpp.orig
+++ src/unix/mediactrl.cpp
@@ -41,7 +41,11 @@
 
 #ifdef __WXGTK__
     #include <gtk/gtk.h>
-    #include <gdk/gdkx.h>
+    #ifdef GDK_WINDOWING_X11
+        #include <gdk/gdkx.h>
+    #else
+        #include <gdk/gdkquartz.h>
+    #endif
     #include "wx/gtk/private/gtk2-compat.h"
 #endif
 
